import HeroSection from "./components/HeroSection";
import CategorySection from "./components/CategorySection";
import CoursesSection from "./components/CoursesSection";


const HomePage = () => {

	return (
		<div className="min-h-screen">
			<HeroSection />
			<CoursesSection
				title="推荐课程"
				description="最受欢迎的精品课程，助你快速成长"
			/>
			<CategorySection />
		</div>
	);
};

export default HomePage;
