import { useEffect } from "react";
import BasePostLayout from "../layout/BasePost/BasePostLayout";
import { useMainContext } from "../layout/MainProvider";
import PathListContainer from "./components/PathListContainer";
import { PostType } from "@nice/common";

export default function PathPage() {
	const { setSearchMode } = useMainContext();
	useEffect(() => {
		setSearchMode(PostType.PATH);
	}, [setSearchMode]);
	return (
		<BasePostLayout>
			<PathListContainer></PathListContainer>
		</BasePostLayout>
	);
}
