export const LEVEL_STYLES = {
    0: {
        container: `
            bg-gradient-to-br from-blue-500 to-blue-600 
            text-white px-8 py-4
        `,
        fontSize: 'text-xl font-semibold'
    },
    1: {
        container: `
            bg-white 
            border-2 border-blue-400
            text-gray-700 px-4 py-2
            hover:border-blue-500
        `,
        fontSize: 'text-lg'
    },
    2: {
        container: `
            bg-gray-50
            border border-gray-200 
            text-gray-600 px-2 py-1
            hover:border-blue-300
            hover:bg-gray-100
        `,
        fontSize: 'text-base'
    }
} as const;

export const NODE_BASE_STYLES = `
    flex items-center justify-center
    rounded-xl
    min-w-[60px]
    w-fit
    relative
`;

export const TEXTAREA_BASE_STYLES = `
    bg-transparent
    text-center
    break-words
    whitespace-pre-wrap
    resize-none
    overflow-hidden
    outline-none
    min-w-0
    w-auto
    flex-shrink
`;