import { Outlet } from "react-router-dom";
import { Layout } from "antd";

import { adminRoute } from "@web/src/routes/admin-route";
import AdminSidebar from "./AdminSidebar";

const { Content } = Layout;

export default function AdminLayout() {
	return (
		<Layout className="min-h-screen">
			<AdminSidebar routes={adminRoute.children || []} />
			<Layout>
				<Content>
					<Outlet />
				</Content>
			</Layout>
		</Layout>
	);
}
