import { Layout } from "antd";
import { Outlet } from "react-router-dom";
import { MainHeader } from "./MainHeader";
import { MainFooter } from "./MainFooter";
import { MainProvider } from "./MainProvider";

const { Content } = Layout;

export function MainLayout() {
	return (
		<MainProvider>
			<div className=" min-h-screen  bg-gray-100">
				<MainHeader />
				<Content className="min-h-screen flex-grow pt-12 bg-gray-50   ">
					<Outlet />
				</Content>
				<MainFooter />
			</div>
		</MainProvider>
	);
}
